
From: Matt Tolentino <metolent@snoqualmie.dp.intel.com>

Here's a simple ia64 patch that should work with the change.  Essentially,
it just adds CONFIG_EFI to Kconfig (and defconfig) for ia64 and efi_enabled
in setup.c.  



 arch/ia64/Kconfig        |   10 +++++-----
 arch/ia64/defconfig      |    2 +-
 arch/ia64/kernel/setup.c |    4 ++++
 3 files changed, 10 insertions(+), 6 deletions(-)

diff -puN arch/ia64/defconfig~ia64-CONFIG_EFI-update arch/ia64/defconfig
--- 25/arch/ia64/defconfig~ia64-CONFIG_EFI-update	2003-10-28 19:23:48.000000000 -0800
+++ 25-akpm/arch/ia64/defconfig	2003-10-28 19:23:48.000000000 -0800
@@ -48,7 +48,6 @@ CONFIG_IA64_HP_ZX1=y
 CONFIG_IA64_PAGE_SIZE_16KB=y
 # CONFIG_IA64_PAGE_SIZE_64KB is not set
 CONFIG_ACPI=y
-CONFIG_ACPI_EFI=y
 CONFIG_ACPI_INTERPRETER=y
 CONFIG_ACPI_KERNEL_CONFIG=y
 CONFIG_IA64_L1_CACHE_SHIFT=7
@@ -76,6 +75,7 @@ CONFIG_IA32_SUPPORT=y
 CONFIG_COMPAT=y
 CONFIG_PERFMON=y
 CONFIG_IA64_PALINFO=y
+CONFIG_EFI=y
 CONFIG_EFI_VARS=y
 CONFIG_NR_CPUS=16
 CONFIG_BINFMT_ELF=y
diff -puN arch/ia64/Kconfig~ia64-CONFIG_EFI-update arch/ia64/Kconfig
--- 25/arch/ia64/Kconfig~ia64-CONFIG_EFI-update	2003-10-28 19:23:48.000000000 -0800
+++ 25-akpm/arch/ia64/Kconfig	2003-10-28 19:23:48.000000000 -0800
@@ -164,11 +164,6 @@ config ACPI
 	  The ACPI Sourceforge project may also be of interest:
 	  <http://sf.net/projects/acpi/>
 
-config ACPI_EFI
-	bool
-	depends on !IA64_HP_SIM
-	default y
-
 config ACPI_INTERPRETER
 	bool
 	depends on !IA64_HP_SIM
@@ -404,6 +399,11 @@ config IA64_SALINFO
 	  To use this option, you have to ensure that the "/proc file system
 	  support" (CONFIG_PROC_FS) is enabled, too.
 
+config EFI
+	bool
+	depends on !IA64_HP_SIM
+	default y
+
 config EFI_VARS
 	tristate "/proc/efi/vars support"
 	help
diff -puN arch/ia64/kernel/setup.c~ia64-CONFIG_EFI-update arch/ia64/kernel/setup.c
--- 25/arch/ia64/kernel/setup.c~ia64-CONFIG_EFI-update	2003-10-28 19:23:48.000000000 -0800
+++ 25-akpm/arch/ia64/kernel/setup.c	2003-10-28 19:23:48.000000000 -0800
@@ -54,6 +54,10 @@
 # error "struct cpuinfo_ia64 too big!"
 #endif
 
+#ifdef CONFIG_EFI
+int efi_enabled = 1;
+#endif
+
 #ifdef CONFIG_SMP
 unsigned long __per_cpu_offset[NR_CPUS];
 #endif

_
